Skip to main content
GET
/
sandboxes
List sandboxes
curl --request GET \
  --url https://api.tensorlake.ai/sandboxes \
  --header 'Authorization: Bearer <token>'
{
  "sandboxes": [
    {
      "id": "<string>",
      "namespace": "<string>",
      "image": "<string>",
      "status": "pending",
      "created_at": 123,
      "resources": {
        "cpus": 123,
        "memory_mb": 123,
        "ephemeral_disk_mb": 123
      },
      "timeout_secs": 123,
      "allow_unauthenticated_access": true,
      "pending_reason": "<string>",
      "outcome": "<string>",
      "container_id": "<string>",
      "executor_id": "<string>",
      "sandbox_url": "<string>",
      "pool_id": "<string>",
      "network_policy": {
        "allow_internet_access": true,
        "allow_out": [
          "<string>"
        ],
        "deny_out": [
          "<string>"
        ]
      },
      "exposed_ports": [
        32768
      ],
      "template_id": "<string>"
    }
  ],
  "prev_cursor": "<string>",
  "next_cursor": "<string>"
}
List sandboxes for the current project. Use status=running to query only sandboxes that are currently live in memory. Omitting the filter returns full sandbox history, including terminated sandboxes.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of sandboxes to return. Defaults to 100.

Required range: x >= 1
cursor
string

Base64-encoded pagination cursor returned by a previous list call.

direction
enum<string>

Pagination direction for the provided cursor.

Available options:
forward,
backward
status
enum<string>

Optional sandbox status filter. running returns the live running set only.

Available options:
running

Response

List of sandboxes retrieved successfully

sandboxes
object[]
required
prev_cursor
string | null
next_cursor
string | null